Index: PostgreSqlDotnetCore/Controllers/BlogController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/BlogController.cs	(revision 63bd77035c9fe0927b0840983e7b59ef2beb7036)
+++ PostgreSqlDotnetCore/Controllers/BlogController.cs	(revision d6040ef6cd58a54b3bdd9c77a26c8a6ed428662e)
@@ -11,20 +11,41 @@
     {
         public BlogController(UserManager<IdentityUser> userManager) : base(userManager)
-        {
+
+        {
+            
         }
 
         // GET: Customer
-        public async Task<ActionResult> IndexAsync()
-        {
-            // check for permission
+        /* public async Task<ActionResult> IndexAsync()
+         {
+             // check for permission
+             bool isAuthenticated = User.Identity.IsAuthenticated;
+             if (!isAuthenticated)
+             {
+                 return RedirectToAction("AccessDenied", "Error");
+             }
+             //return View(Enumerable.Empty<UsersClass>());
+             return View(db.BlogPostControllerObj.ToList());
+         }
+        */
+
+        public async Task<ActionResult> Index()
+        {
+            // Проверка за автентикација
             bool isAuthenticated = User.Identity.IsAuthenticated;
+
             if (!isAuthenticated)
             {
                 return RedirectToAction("AccessDenied", "Error");
             }
-            //return View(Enumerable.Empty<UsersClass>());
-            return View(db.BlogPostControllerObj.ToList());
-        }
-
+
+            // Список на блог постови
+            var blogPosts = await db.BlogPostControllerObj.ToListAsync();
+
+            // Предавање на ViewBag за проверка на автентикација
+            ViewBag.isAuthenticated = isAuthenticated;
+
+            return View(blogPosts);
+        }
         // GET: Customer/Details/5
         public async Task<ActionResult> DetailsAsync(int? id)
Index: PostgreSqlDotnetCore/Controllers/CityController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/CityController.cs	(revision 63bd77035c9fe0927b0840983e7b59ef2beb7036)
+++ PostgreSqlDotnetCore/Controllers/CityController.cs	(revision d6040ef6cd58a54b3bdd9c77a26c8a6ed428662e)
@@ -16,14 +16,16 @@
         // GET: Customer
         public async Task<ActionResult> IndexAsync()
-        {
-            // check for permission
-            UsersClass customerClass = await checkAuthorizationAsync();
-            if (customerClass == null)
-            {
-                return RedirectToAction("AccessDenied", "Error");
-            }
-            //return View(Enumerable.Empty<UsersClass>());
-            return View(db.CitiesObj.ToList());
-        }
+         {
+             // check for permission
+             UsersClass customerClass = await checkAuthorizationAsync();
+             if (customerClass == null)
+             {
+                 return RedirectToAction("AccessDenied", "Error");
+             }
+             //return View(Enumerable.Empty<UsersClass>());
+             return View(db.CitiesObj.ToList());
+         }
+       
+
 
         // GET: Customer/Details/5
Index: PostgreSqlDotnetCore/Controllers/ProductsController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/ProductsController.cs	(revision 63bd77035c9fe0927b0840983e7b59ef2beb7036)
+++ PostgreSqlDotnetCore/Controllers/ProductsController.cs	(revision d6040ef6cd58a54b3bdd9c77a26c8a6ed428662e)
@@ -30,4 +30,5 @@
             // set if is authenticated
             ViewBag.isAuthenticated = await getCrrentUser();
+            ViewBag.hasAccess = await checkAuthorizationAsync();
             if (!String.IsNullOrEmpty(searchString))
             {
Index: PostgreSqlDotnetCore/Controllers/VetCenterController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/VetCenterController.cs	(revision 63bd77035c9fe0927b0840983e7b59ef2beb7036)
+++ PostgreSqlDotnetCore/Controllers/VetCenterController.cs	(revision d6040ef6cd58a54b3bdd9c77a26c8a6ed428662e)
@@ -3,4 +3,5 @@
 using Microsoft.EntityFrameworkCore;
 using PostgreSqlDotnetCore.Models;
+using Microsoft.AspNetCore.Mvc.Rendering;
 using System.Data;
 using System.Net;
@@ -12,14 +13,36 @@
         public VetCenterController(UserManager<IdentityUser> userManager) : base(userManager)
         {
-
-            // set if is authenticated
-            ViewBag.isAuthenticated = new UsersClass();
-        }
+        }
+
+         public async Task<ActionResult> Create()
+         {
+             UsersClass customerClass = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin);
+             if (customerClass == null)
+             {
+                 return RedirectToAction("AccessDenied", "Error");
+             }
+             var citiess = await db.CitiesObj.ToListAsync();
+
+             ViewBag.Citiess = new SelectList(citiess, "id", "name");
+
+             return View();
+         }
 
         // GET: Customer
+        /* public ActionResult Index()
+         {
+             return View(db.VetCentersObj.ToList());
+         }*/
+
         public ActionResult Index()
         {
-            return View(db.VetCentersObj.ToList());
-        }
+            var vetCenters = db.VetCentersObj.ToList();
+
+            // Составување на списокот на ветеринарни центри и проверка на автентикацијата
+            ViewBag.isAuthenticated = User.Identity.IsAuthenticated;
+
+            return View(vetCenters);
+        }
+
 
         // GET: Customer/Details/5
@@ -39,14 +62,14 @@
 
         // GET: Customer/Create
-        public async Task<ActionResult> CreateAsync()
-        {
-            // check for permission
-            UsersClass customerClass = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin);
-            if (customerClass == null)
-            {
-                return RedirectToAction("AccessDenied", "Error");
-            }
-            return View();
-        }
+        /*  public async Task<ActionResult> CreateAsync()
+          {
+              // check for permission
+              UsersClass customerClass = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin);
+              if (customerClass == null)
+              {
+                  return RedirectToAction("AccessDenied", "Error");
+              }
+              return View();
+          }*/
 
         // POST: Customer/Create
@@ -55,4 +78,6 @@
         [HttpPost]
         [ValidateAntiForgeryToken]
+ 
+
         public ActionResult Create([Bind(include: "id,name,adress,description,workinghours,phonenumber,latitude,longitude,citiesid")] VetCenter vetClass)
         {
@@ -85,4 +110,6 @@
                 return RedirectToAction("AccessDenied", "Error");
             }
+            var citiess = await db.CitiesObj.ToListAsync();
+            ViewBag.Citiess = new SelectList(citiess, "id", "name", vetClass.citiesid);
             return View(vetClass);
         }
@@ -93,14 +120,34 @@
         [HttpPost]
         [ValidateAntiForgeryToken]
-        public ActionResult Edit([Bind(include: "id,name,adress,description,workinghours,phonenumber,latitude,longitude,citiesid")] VetCenter vetClass)
+        /*
+         public  ActionResult Edit([Bind(include: "id,name,adress,description,workinghours,phonenumber,latitude,longitude,citiesid")] VetCenter vetClass)
+         {
+             if (ModelState.IsValid)
+             {
+                 db.Entry(vetClass).State = EntityState.Modified;
+                 db.SaveChanges();
+                 return RedirectToAction("Index");
+             }
+             return View(vetClass);
+         }*/
+
+        // POST: VetCenter/Edit/5
+
+        public async Task<ActionResult> Edit([Bind(include: "id,name,adress,description,workinghours,phonenumber,latitude,longitude,citiesid")] VetCenter vetClass)
         {
             if (ModelState.IsValid)
             {
                 db.Entry(vetClass).State = EntityState.Modified;
-                db.SaveChanges();
+                await db.SaveChangesAsync();
                 return RedirectToAction("Index");
             }
-            return View(vetClass);
-        }
+
+            var citiess = await db.CitiesObj.ToListAsync();
+            ViewBag.Citiess = new SelectList(citiess, "id", "name", vetClass.citiesid);
+
+            return View(vetClass);
+        }
+
+
 
         // GET: Customer/Delete/5
